Центр пользователя  |  Ваши сообщения  |  FAQ
Форум поддержки phpBB » phpBB 3.1.x » Поддержка phpBB 3.1.x

Обновление форума

Помощь в установке, настройке и использовании phpBB 3.1.x

Сообщение 07 ноя 2014, 20:14

Коллеги!

Прочитал о новом обновлении до версии 3.1.1
Выяснилось, что у меня еще 3.0.12

Решил действовать последовательно
Скачал обновления phpBB-3.0.12_to_3.1.0-ru

При попытке зайти в директорию install - получил ошибку

Fatal error: Composer dependencies have not been set up yet, run 'php ../composer.phar install' from the phpBB directory to do so. in /home/virtwww/w_nemchinovka_45eec3f8/http/forum/install/update/new/includes/startup.php on line 184

Что не так сделал???
wwwzebra
Бывалый
 
Сообщений: 103
Зарегистрирован:
26 окт 2011, 18:49
Благодарил (а): 13 раз.
Поблагодарили: 0 раз.

Сообщение 07 ноя 2014, 20:33

предлагаю не мучаться, скачать phpbb3.1.1 и
Delete all files EXCEPT for the following:
The config.php file
The images/ directory
The files/ directory
The store/ directory
Upload the contents of the 3.1.x Full Package into your forum's directory. Make sure the root level .htaccess file is included in the upload.
Browse to install/database_update.php
Delete the install/ directory
crash
Поддержка
 
Сообщений: 11329
Зарегистрирован:
27 янв 2009, 03:22
Благодарил (а): 1 раз.
Поблагодарили: 568 раз.

Сообщение 10 ноя 2014, 18:03

Crash!

Правильно ли я понял, что нужно скачать полный дистрибутив,

@Русифицированный дистрибутив phpBB3 последней версии.
Это официальный дистрибутив, в который уже добавлена русификация.
РУСИФИЦИРОВАННЫЙ PHPBB 3.1.1 4 100 Kb@

а не пакет обновления и выполнить следующую процедуру:

1. Delete all files EXCEPT for the following:
В папке FORUM (там где установлен сам форум) - удалить все файлы за исключением:
The config.php file - файл оставить
The images/ directory- папку оставить
The files/ directory- папку оставить
The store/ directory- папку оставить

2. Upload the contents of the 3.1.x Full Package into your forum's directory. Make sure the root level .htaccess file is included in the upload.
Загрузить содержимое папки (дистрибутива) 3.1.x Full Package в директорию форума. Убедиться в наличии файла .htaccess в корне

3. Browse to install/database_update.php
Перейти в IE в папку .../forum/install/database_update.php и запустить
4. Delete the install/ directory
Удалить папку install

Верно понял?
wwwzebra
Бывалый
 
Сообщений: 103
Зарегистрирован:
26 окт 2011, 18:49
Благодарил (а): 13 раз.
Поблагодарили: 0 раз.

Сообщение 10 ноя 2014, 19:15

wwwzebra писал(а):Верно понял?

верно
crash
Поддержка
 
Сообщений: 11329
Зарегистрирован:
27 янв 2009, 03:22
Благодарил (а): 1 раз.
Поблагодарили: 568 раз.

Сообщение 19 дек 2014, 03:41

А вот у мена это не сработало. При заходе на install/, белый экран и никаких ошибок. На скрипт обновления БД тоже самое. Чё делать, товарищи?
bbuser
Новичок
 
Сообщений: 2
Зарегистрирован:
16 дек 2014, 17:17
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.

Сообщение 19 дек 2014, 05:35

@bbuser
включать дебаг, смотреть логи
crash
Поддержка
 
Сообщений: 11329
Зарегистрирован:
27 янв 2009, 03:22
Благодарил (а): 1 раз.
Поблагодарили: 568 раз.

Сообщение 10 фев 2015, 19:12

Crash!
Скажи, пож-та, если на форуме уже установлены некоторые моды - как такое обновление повлияет на них?

Применим ли данный пакет для обновления с версии 3.0.12 до 3.1.3?
РУСИФИЦИРОВАННЫЙ PHPBB 3.1.3
http://bb3x.ru/files/phpBB-3.1.3-ru.zip

или нужен пакет
ПАКЕТ ОБНОВЛЕНИЯ PHPBB 3.1.2 до 3.1.3 [ + РУС. ]
http://bb3x.ru/files/phpBB-3.1.2_to_3.1.3-ru.zip
wwwzebra
Бывалый
 
Сообщений: 103
Зарегистрирован:
26 окт 2011, 18:49
Благодарил (а): 13 раз.
Поблагодарили: 0 раз.

Сообщение 10 фев 2015, 19:26

@wwwzebra
не совсем понятно какая у вас сейчас версия.
Если у вас версия 3.0.12 и вы будете обновляться до 3.1.3, то ни один мод не будет работать.
crash
Поддержка
 
Сообщений: 11329
Зарегистрирован:
27 янв 2009, 03:22
Благодарил (а): 1 раз.
Поблагодарили: 568 раз.

Сообщение 10 фев 2015, 20:04

CRASH

Версия форума 3.0.12
Писал в самом начале темы
Какова тогда процедура обновления форума?
Последовательно с 3.0.12 на 3.1.1?
wwwzebra
Бывалый
 
Сообщений: 103
Зарегистрирован:
26 окт 2011, 18:49
Благодарил (а): 13 раз.
Поблагодарили: 0 раз.

Сообщение 10 фев 2015, 20:36

@wwwzebra
ну процедура обновления описана этой теме. Обновляться на 3.1.1 нет смысла, надо сразу на 3.1.3.
вот собственно весь процесс
crash писал(а):Delete all files EXCEPT for the following:
The config.php file
The images/ directory
The files/ directory
The store/ directory
Upload the contents of the 3.1.x Full Package into your forum's directory. Make sure the root level .htaccess file is included in the upload.
Browse to install/database_update.php
Delete the install/ directory
crash
Поддержка
 
Сообщений: 11329
Зарегистрирован:
27 янв 2009, 03:22
Благодарил (а): 1 раз.
Поблагодарили: 568 раз.


Вернуться в Поддержка phpBB 3.1.x

 


  • Похожие темы
    Ответов
    Просмотров
    Последнее сообщение

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3

Форум поддержки phpBB
2008 - 2017 © BB3x.ru - русская поддержка форума phpBB3
Создано на основе phpBB® Forum Software © phpBB Group
авторов модов
разработчиков скинов
русификаторов
и всех поклонников phpBB3